# Created by pyp2rpm-3.3.3
%global pypi_name bleson

# tests needs cap_net_raw and cap_net_admin+eip
# capabilities in python3 binary
%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.0.15
Release:        %mkrel 2
Summary:        Bluetooth LE Library
Group:          Development/Python
License:        MIT
URL:            https://github.com/TheCellule/python-bleson
Source0:        https://github.com/TheCellule/python-bleson/archive/RELEASE_%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-Typo-fix-in-on_advertising_data-getter.patch
Patch2:         0002-Handle-incoming-TX-power-level.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Bleson is a cross platform Python 3 module for accessing Bluetooth LE API's.

The (planned) supported Bluetooth LE roles are: Observer, Advertiser (inc.
Beacon), Peripheral and Central.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Bleson is a cross platform Python 3 module for accessing Bluetooth LE API's.

The (planned) supported Bluetooth LE roles are: Observer, Advertiser (inc.
Beacon), Peripheral and Central.

%prep
%autosetup -n %{name}-RELEASE_%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# fix version
echo %{version} > bleson/VERSION

%build
%py3_build

# doc build
%{__python3} setup.py doc
# doc build leftovers
rm -rf docs/_build/html/.buildinfo

%install
%py3_install

# drop tests
rm -rf %{buildroot}%{python3_sitelib}/tests/

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%doc docs/_build/html
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Feb 17 2020 umeabot <umeabot> 0.0.15-2.mga8
+ Revision: 1537511
- Mageia 8 Mass Rebuild

* Sat Nov 02 2019 wally <wally> 0.0.15-1.mga8
+ Revision: 1457332
- imported package python-bleson

